| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csParticleBuffer Struct Reference
[Mesh plugins]

Buffer holder for particle buffers. More...

`#include <imesh/particles.h>`

List of all members.

## Public Attributes
csParticleAux * | particleAuxData
| Auxiliary data, indexed in same way as the main data.
size_t | particleCount
| Number of valid particles in the buffer.
csParticle * | particleData
| Main particle data.

## Detailed Description

Buffer holder for particle buffers.

Definition at line 238 of file particles.h.

## Member Data Documentation

csParticleAux* csParticleBuffer::particleAuxData

Auxiliary data, indexed in same way as the main data.

Definition at line 244 of file particles.h.

size_t csParticleBuffer::particleCount

Number of valid particles in the buffer.

Definition at line 247 of file particles.h.

csParticle* csParticleBuffer::particleData

Main particle data.

Definition at line 241 of file particles.h.

The documentation for this struct was generated from the following file:

- imesh/particles.h